# Release History

***

### V1.58

#### Created: 2026-05-12

* update last\_enqueued\_date handling and improve logging for existing where clauses

***

### V1.57

#### Created: 2026-05-12

* update queries to use distinct selection and update date comparison logic for enqueued state

***

### V1.56

#### Created: 2026-05-11

* change state\_enqueued\_date type to timestamp\_ntz and update SQL query for date comparison

***

### V1.55

#### Created: 2026-05-10

* add validation for enqueued\_date in SyncWhereClause and enqueue insert SQL generation

***

### V1.54

#### Created: 2026-05-06

* update SQL query to use to\_timestamp\_tz for last enqueued date comparison

***

### V1.53

#### Created: 2026-04-29

correct parameter order in SQL query for enqueue state check

***

### V1.52

#### Created: 2026-04-29

* added function to sanitize identifiers to extract column names from path expressions

***

### V1.51

#### Created: 2026-04-25

* added snowflakeColumnExpression for LMTS column in table schema

***

### V1.50

#### Created: 2026-04-09

* added support for driver versions 2025.09 and 2026.04
* improved reconcilation complete steps

***

### V1.49

#### Created: 2026-02-25

* adjusted reconcillation to be UTC based when quering M3 data

***

### V1.48

#### Created: 2026-02-25

* ensured when the company numbers are removed the CONO clause isn't used.

***

### V1.47

#### Created: 2026-02-17

* prevented duplicate stream names from appearing in the list of available streams

***

### V1.46

#### Created: 2026-02-16

* added support for JDBC driver version 2026.02

***

### V1.45

#### Created: 2025-12-12

* updated `sync_state_where_clauses` table to be a hybrid table to avoid transactional issues

***

### V1.44

#### Created: 2025-12-10

* updated plugin\_data tables to be hybrid tables
* added retries when saving where clauses if there is multiple streams in the same sync saving data at the same time

***

### V1.43

#### Created: 2025-12-08

* modified checkpointing to prevent accidental full refresh kicking off after a failed sync run.
* migrated inbound tuning parameters

***

### V1.42

#### Created: 2025-10-26

* fixed issue where the cursor wasn't being set correctly at the end of a full refresh after checkpoints have been applied.

***

### V1.41

#### Created: 2025-10-25

* added new connection parameter to allow for newer versions of the Infor Compass JDBC Driver. v2025.10 and v2025.08 are now supported. v2025.08 is the current default
* enhanced syncs and stream state to take advantage of sync engine checkpointing functionality
* removed sync parameter (Maximum Queries Per Stream Per Sync ) as checkpointing has now superseded this functionality

***

### V1.40

#### Created: 2025-10-25

* bump version number

***

### V1.39

#### Created: 2025-09-09

* fixed issue with saving reconcillation filter
* updated streamlit version

***

### V1.38

#### Created: 2025-09-08

* added second level grouping to determine how to split the data up for full load

***

### V1.37

#### Created: 2025-09-08

* added in missing lastModified to the JSON Schema for view generation
* added second level grouping to determine how to split the data up for full loads.

***

### V1.36

#### Created: 2025-09-06

* added missing files for reconciliation cron details
* added UTC as default for the timezone for tasks

***

### V1.35

#### Created: 2025-08-12

* update JDBC driver version that should be used 2024.10 to 2025.08

***

### V1.34

#### Created: 2025-08-12

* updated requestRetryMaxDelay setting

***

### V1.33

#### Created: 2025-08-11

* bumped devkit version to remove trace logs
* added custom values for requestRetries and requestRetryMaxDelay for JDBC connection while internal server error is being thrown by the service when calling metadata/jdbcVersion

***

### V1.32

#### Created: 2025-08-06

* modified appidentifier to include timestamp and deleted flag instead of variationNumber for ordering purposes

***

### V1.31

#### Created: 2025-08-02

* added max\_variation\_number to the state for easier manual reconciliation

***

### V1.30

#### Created: 2025-08-01

* fixed issue with reconciliation ui not loading correctly

***

### V1.29

#### Created: 2025-07-31

* added grants to the reconciliation\_ui schema

***

### V1.28

#### Created: 2025-07-30

* added the ability to setup M3 based reconciliation jobs
* added the ability to add on missing reconciliation records onto the end of a sync run
* added the ability to run a single stream from a reconciliation job
* added the ability to exclude reconciliation job results from being included in a omnata sync run

***

### V1.27

#### Created: 2025-07-19

* reverted stream name casing introduced when using api based metadata

***

### V1.26

#### Created: 2025-07-10

* Enhanced `GET_M3_TABLE_COUNTS` UDTF to support new parameters and improved logic for count retrieval.
* Enhanced `GET_M3_TABLE_DATA` UDTF to include additional filtering options and parameters for data retrieval.
* Introduced concurrent processing for minute group counts to improve performance.

***

### V1.25

#### Created: 2025-07-07

* consolidated M3 Reconcilation Functions
* enhanced M3 Reconcilation Functions to be able to go down to 15 minute increments for counts and data retreival

***

### V1.24

#### Created: 2025-06-30

* updated m3 API functions to help with reconcillation

***

### V1.23

#### Created: 2025-06-26

* Updated `omnata-plugin-runtime` version 0.10.27
* Added experimental User-Defined Table Functions (UDTFs) for retrieving M3 table counts by day, month, year, and specific data retrieval.

***

### V1.22

#### Created: 2025-06-03

* modified LMTS column so that the json schema returns date-time string instead of integer

***

### V1.21

#### Created: 2025-05-29

* fixed issue with date serialization when persisting state

***

### V1.20

#### Created: 2025-05-26

* bump runtime version
* updated stream categories to be more dynamic based on streams available
* modified stream categories to be multi select instread of single category selection
* changed mechanism to retrieve schemas to be API based instead of being based off System Files
* removed the requirement for the CFIHEA, CFIFFD and CFIACP to be published to the datalake
* added functions to retreive categories and stream metadata

***

### V1.19

#### Created: 2025-04-07

* added support for the infor regions (US East(no subdomain), Frankfurt(eu1), Singapore(se1), Sydney(se2), Tokyo(ne1)

***

### V1.18

#### Created: 2025-04-06

* modified allowed network addresses to use a wildcard so that multi infor regions can be accessed.

***

### V1.17

#### Created: 2025-03-24

* fixed log message when running a sync so the sync name appears in the correct position within the record attributes
* fixed issue the where clause multiple where statements in
* fixed logging for provide\_results to return the data
* added error information into the state when a given where clause fails

***

### V1.16

#### Created: 2025-03-13

* fixed issue when no cono column is available in a stream and a sync is incremental.

***

### V1.15

#### Created: 2025-03-12

* added additional minute level grouping when determining what queries are required to retreive the inital data load.

***

### V1.14

#### Created: 2025-03-12

* fixed issue where failed queries would get added into the list of queries still to be run as a list instead of a single query

***

### V1.13

#### Created: 2025-03-11

* updated setting of the state for the cursor field so that it is updated once all queries have been processed

***

### V1.12

#### Created: 2025-03-07

* fixed issue around multi query completion

***

### V1.11

#### Created: 2025-03-07

* added in additional logging details for job completion and job checks

***

### V1.10

#### Created: 2025-03-07

* added ability to limit the total number of queries are allowed to be executed for a stream in a single sync run. This allows for larger datasets to be broken down into smaller chunks and processed over time.

***

### V1.9

#### Created: 2025-03-06

* fixed issue when last\_modified\_date is not set for full refresh syncs

***

### V1.8

#### Created: 2025-02-21

* refactored logging for readability in logs
* fixed InforTableDistinctStats query
* modified partial sync failures to report as success but keeps the failed statements for processing next time

***

### V1.7

#### Created: 2025-02-18

* enabled incremental syncs to respect the max record count

***

### V1.6

#### Created: 2025-02-17

* modified the json column name to use field RFLD instead of FLDW in the table CFIFFD

***

### V1.5

#### Created: 2025-02-14

* added in new UDF to allow for disinct counts as well as counts
* modified primary key for append behavior to use dataObjectId and dataObjectSequenceId instead of variationNumber and deleted
* updated default concurrent queries to 10
* updated default max records per query to 5M
* updated table categories so they are inalignment with the descriptions for the tables

***

### V1.4

#### Created: 2025-02-13

* fixed usage grants for stages

***

### V1.3

#### Created: 2025-02-12

* enabled BYO of the infor-compass-jdbc-2023.10.jar file

***

### V1.2

#### Created: 2025-02-11

* removed additional jars which weren't required

***

### V1.1

#### Created: 2025-02-10

* added sync capabilities for tables in datalake
* added basic table and row stat functions
* included CONO filter for tables
* included Min Acquisition Date filter
* added custom where clause filter
* added direct query capability

***

### V1.0

#### Created: 2025-02-10

* added sync capabilities for tables in datalake
* added basic table and row stat functions
* included CONO filter for tables
* included Min Acquisition Date filter
* added custom where clause filter
* added direct query capability

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.omnata.com/omnata-product-documentation/omnata-sync-for-snowflake/apps/infor-data-lake/release-history.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
